<?php
    require 'funcs/conexion.php';
    include 'funcs/funcs.php';
    
    session_start(); //Iniciar una nueva sesión o reanudar la existente
    
    if(isset($_SESSION["id_usuario"])){ //En caso de existir la sesión redireccionamos
        header("Location: aula.php");
    }
    
    $errors = array();
    
    if(!empty($_POST))
    {
        $usuario = $mysqli->real_escape_string($_POST['usuario']);
        $password = $mysqli->real_escape_string($_POST['password']);
        
        if(isNullLogin($usuario, $password))
        {
            $errors[] = "Debe llenar todos los campos";
        }
        
        $errors[] = login($usuario, $password); 
    }
?>




<html lang="es">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aula de Fotografía</title>
    <link rel="stylesheet" href="css/estilos.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="javascript/menu.js"></script>
</head>
    

    <body>

<!-- EMPIEZO AULA FOTOGRAFIA -->

<header>
    <div id="header_superior">
        <div class="menu_bar">
        <img class="boton-menu" src="pictures/logos/botton-menu.png" alt="boton-menu">
    </div>
        
<div id="centrar">
 <picture>
  <a href="index.php"><source srcset="pictures/logos/logo-petit.png" media="(max-width: 800px)"></a>
  
  <source srcset="pictures/logos/logo.png">
  <a href="index.php"><img src="pictures/logos/logo.png" alt="Aula de Fotografía"></a>
</picture> 
</div> <!--fin de id="centrar">-->
    <div id="usuari">
        <!--FORMULARIO-->
        <div id="linea-mortal">
        <p><a href="registro.php">Registrarse</a></p>
        <p><a href="recupera.php">Recuperar contraseña</a></p>
        </div> <!--fin de id="linea-mortal">-->

        <div id="registro">
        <form role="form" action="<?php $_SERVER['PHP_SELF'] ?>" method="POST" autocomplete="off">

        <div class="introducir">
            <input id="usuario" type="text" name="usuario" value="" placeholder="usuario o email" required>                                        
        </div>
        <div class="introducir">
            <input id="password" type="password" name="password" placeholder="password" required>
        </div>
        <div class="introducir">
            <button id="btn-login" type="submit">Iniciar Sesi&oacute;n</button>
        </div>
            
   
        </form>
        </div>  <!--fin de id="registro">-->

    </div>  <!--fin de id="usuari">-->

    <div id="usuari-mobil">
        <p><a href="registro.php">Registrarse</a></p>
        <p><a href="recupera.php">Recuperar contraseña</a></p>
    </div>

</div>  <!--fin de id="header_superior">-->


    <nav id="superior">
        <ul>
            <li id="uni-des">Unidad 1</li>
            <li>Unidad 2</li>
            <li>Unidad 3</li>
            <li>Unidad 4</li>
            <li>Unidad 5</li>
            <li>Unidad 6</li>
            <li>Unidad 7</li>
            <li>Unidad 8</li>
            <li>Unidad 9</li>
            <li>Unidad 10</li>
        </ul>
    </nav>

</header>
<div class="log-reg">
<div id="t-centrar">
    <nav id="t-mobil">
        <form> 
            <select name="index">
                <option name="index" value="0" selected>Regístrese para ver más unidades</option>
            </select>
        </form>
    </nav>
</div>
</div>
<nav id="lateral">
    <ul>
        <li id="deseleccionado">Contacto con el formador</li>
        <li><a href="faqs.php">Preguntas frecuentes FAQS</a></li>
        <li><a href="mapa.php">Mapa del sitio</a></li>
        <li><a href="ayuda.php">Ayuda</a></li>
    </ul>
</nav>