<?php include 'header.php';
?>

<!-- COMIENZA EL CONTENIDO DE LAS UNIDADES -->
    
<section>

    <h2>Unidad 1: La exposición manual</h2>
    <p>Una de las prioridades al iniciarse en el aprendizaje de la fotografía es el uso de la cámara Reflex en modo manual. Pues todos estamos acostumbrados a realizar fotografías con diversidad de dispositivos que solo permiten el modo automático por lo que difícilmente se controla la exposición de la imagen.</p>

<p>Se pueden tomar fotografías de modo automático, pero de esta manera es la máquina quién decide la exposición. Es el momento de que seamos nosotros los que tomamos la decisión.</p>

<p>Así que, salvo que se indique lo contrario, realizaremos los ejercicios desde el modo Manual de la cámara.</p>

<h3>Diafragma y velocidad</h3>

<p>Apertura de diafragma y velocidad del obturador son las dos principales características de la cámar reflex que nos permitirán controlar la exposición de la fotografía. Esto es, en definitiva, que entre más o menos luz.</p>

<p>Cuando la fotografía tiene una cantidad de luz excesiva se dice que está sobreexpuesta, por el contrario cuando le falta luz se denomina subexpuesta.</p>

<figure>
  <img src="pictures/unidad1a.jpg" alt="Imagen sobreexpuesta">
  <figcaption>Fig.1 - Ejemplo de imagen sobreexpuesta.</figcaption>
</figure>

<figure>
  <img src="pictures/unidad1b.jpg" alt="Imagen subexpuesta">
  <figcaption>Fig.2 - Ejemplo de imagen subexpuesta.</figcaption>
</figure>

<p>Por un lado, el diafragma controlará la cantidad de luz que entra en el objetivo y, la velocidad el tiempo en que dejamos abierto el diafragma, pues a mayor tiempo, entrará mayor cantidad de luz.</p>

<h3>Apertura del diafragma</h3>

<p>El diafragma delimita la cantidad de luz que penetra en la cámara, tiene una función similar al iris del ojo humano. A más abierto, entrará una mayor cantidad de luz.</p>

<p>La apertura del diafragma se mide en en números f. A menor número f, mayor es la cantidad de luz que entra en la cámara. La escala se mide en pasos, y a cada paso entra el doble o la mitad de luz según reduzcamos o ampliamos. La escala de cada paso es la siguiente:</p>

<table class="t-sobremesa">
    <caption>Escala de pasos de apertura de diagrama</caption>
    <tr>
        <td>f/1.4</td>
        <td>f/2</td>
        <td>f/2.8</td>
        <td>f/4</td>
        <td>f/5.6</td>
        <td>f/8</td>
        <td>f/11</td>
        <td>f/16</td>
        <td>f/22</td>
    </tr>
</table>

<table class="t-movil">
    <caption>Escala de pasos de apertura de diagrama</caption>
    <tr>
        <td>f/1.4</td>
        <td>f/2</td>
        <td>f/2.8</td>
        <td>f/4</td>
        <td>f/5.6</td>
    </tr>
    <tr>
        <td>f/8</td>
        <td>f/11</td>
        <td>f/16</td>
        <td>f/22</td>
    </tr>
</table>

<p>Así f/1.4 obtendrá el doble de luz que f/2 y esta el doble de f/2.8 etc... Aunque las cámaras actuales también permiten obtener pasos intermedios, siendo la más común 1/3 del paso completo. Por lo que es habitual encontrar cámaras con 2 pasos intermedios.</p>

<table>
    <caption>Escala 1/3 de pasos de apertura de diagrama</caption>
    <tr>
        <td class="paso">f/1.4</td>
        <td>f/1.6</td>
        <td>f/1.8</td>
        <td class="paso">f/2</td>
        <td>f/2.2</td>
    </tr>
    <tr>
        <td>f/2.5</td>
        <td class="paso">f/2.8</td>
        <td>f/3.2</td>
        <td>f/3.5</td>
        <td class="paso">f/4</td>
    </tr>
    <tr>
        <td>f/4.5</td>
        <td>f/5</td>
        <td class="paso">f/5.6</td>
        <td>f/6.3</td>
        <td>f/7.1</td>
    </tr>
    <tr>    
        <td class="paso">f/8</td>
        <td>f/9</td>
        <td>f/10</td>
        <td class="paso">f/11</td>
        <td>f/13</td>
    </tr>
    <tr>
        <td>f/14</td>
        <td class="paso">f/16</td>
        <td>f/18</td>
        <td>f/20</td>
        <td class="paso">f/22</td>
    </tr>
</table>


<p>Dependiendo del modelo de cámara puede variar la forma de modificar la apertura del diafragma por lo que recomendamos comprobar el manual de tu modelo. Pero por norma general se suele modificar girando la rueda posterior de la cámara mientras se presiona un botón con el icono de un diafragma.</p>

<p>Las cámaras reflex llevan un fotómetro interno para medir la luz. Así podemos comprobar previamente que la fotografía no salga ni sobreexpuesta ni subexpuesta.</p>


<figure>
  <img src="pictures/unidad1c.gif" alt="Gráfico fotómetro">
  <figcaption>Fig.3 - Gráfico de un fotómetro de cámara Nikon.</figcaption>
</figure>

<h3 id="t-ejercicio1">Ejercicio 1:</h3>

<div id="c-ejercicio1">
<p>Realiza 3 fotografías idénticas modificando 1 paso respecto a la otra. Puedes escoger los pasos que desees, pero como pauta sugerida puedes escoger: f/5.6, f/8 y f/11.</p>

<p>Para este ejercicio no hace falta que te fijes en el fotómetro de la cámara, pues consiste en apreciar que a diferente paso de luz la imagen puede quedar sobreexpuesta o subexpuesta.</p>
</div>

<h3>Velocidad del obturador</h3>

<p>También conocido como tiempo de exposición, como su nombre indica es el tiempo que el obturador permanece abierto para que entre una mayor o menor cantidad de luz.</p>

<p>El tiempo de exposición se mide desde varios segundos hasta fracciones de segundo. Tal y como se ha explicado en el capítulo anterior, también medimos los pasos de luz en una una escala en la que cada punto es el doble de su predecesor.</p>

<table class="t-sobremesa">
    <caption>Escala de pasos del tiempo de exposición</caption>
    <tr>
        <td>1/2 s</td>
        <td>1/4 s</td>
        <td>1/8 s</td>
        <td>1/15 s</td>
        <td>1/30 s</td>
        <td>1/60 s</td>
        <td>1/125 s</td>
        <td>1/250 s</td>
        <td>1/500 s</td>
    </tr>
</table>

<table class="t-movil">
    <caption>Escala de pasos del tiempo de exposición</caption>
    <tr>
        <td>1/2 s</td>
        <td>1/4 s</td>
        <td>1/8 s</td>
        <td>1/15 s</td>
        <td>1/30 s</td>
    </tr>
    <tr>
        <td>1/60 s</td>
        <td>1/125 s</td>
        <td>1/250 s</td>
        <td>1/500 s</td>
    </tr>
</table>

<p>Aunque la mayoría de cámaras ofrece más pasos intermedios, siendo habitual que se pueda modificar 1/3 de cada paso.</p>

<table>
    <caption>Escala 1/3 de pasos del tiempo de exposición</caption>
    <tr>
        <td class="paso">1/2 s</td>
        <td>1/2.5 s</td>
        <td>1/3 s</td>
        <td class="paso">1/4 s</td>
        <td>1/5 s</td>
    </tr>
    <tr>
        <td>1/6 s</td>
        <td class="paso">1/8 s</td>
        <td>1/10 s</td>
        <td>1/13 s</td>
        <td class="paso">1/15 s</td>
    </tr>
    <tr>
        <td>1/20 s</td>
        <td>1/25 s</td>
        <td class="paso">1/30 s</td>
        <td>1/40 s</td>
        <td>1/50 s</td>
    </tr>
    <tr>    
        <td class="paso">1/60 s</td>
        <td>1/80 s</td>
        <td>1/100 s</td>
        <td class="paso">1/125 s</td>
        <td>1/160 s</td>
    </tr>
    <tr>
        <td>1/200 s</td>
        <td class="paso">f1/250 s</td>
        <td>1/320 s</td>
        <td>1/400 s</td>
        <td class="paso">1/500 s</td>
    </tr>
</table>

<p>Para modificar la escala se gira la rueda situada en la parte posterior de la cámara.</p>

<p>En posteriores unidades incidiremos más en como sujetar la cámara sin trípode, pero si se realizan fotografías a mano alzada y con un objetivo de 50 mm, se recomienda no bajar de la velocidad 1/50s (cámaras analógicas) y 1/80s (cámaras digitales) para que no salgan movidas.</p>


<h3 id="t-ejercicio2">Ejercicio 2:</h3>

<div id="c-ejercicio2">

<p>Realiza 3 fotografías similares modificando 1 paso en cada una en el tiempo de exposición de la cámara. Puedes escoger las velocidades que quieras, pero como pauta sugerida recomendamos: 1/125s, 1/250s y 1/500s.</p>

<p>Como en el ejercicio anterior no te fijes en el fotómetro, pues la intención es visualizar la diferencia de exposición entre las fotografías.</p>

</div>

    
</section>
<aside>
    <img id="paypal" src="pictures/logos/paypal.png" alt="Paypal">
    <div id="evaluacion">
        <h3>Evaluación</h3>

<p>En este primer tema hemos visto el primer acercamiento al modo manual de la cámara reflex. Para evaluar este tema se debe hacer un reportaje de 6 fotografías diferentes con las siguientes condiciones:</p>

<p>3 de ellas deben modificar 1 paso con respecto a la anterior en la apertura del diafragma, pero ninguna de ellas debe quedar sobreexpuesta o subexpuesta.</p>

<p>Las otras 3 deben modificar 1 paso con respecto a la anterior en la velocidad de obturación, per tampoco deben quedar sobreexpuestas o subexpuestas.</p>

<p>Esta evaluación pide al alumno que busque diferentes iluminaciones en los elementos a fotografiar para que pueda apreciar que todos los pasos pueden ser necesarios dependiendo de cada circunstancia.</p>

<p>Las imágenes se adjuntarán en formato jpg a 300ppp.</p>
    </div>
</aside>

<footer>
</footer>




</body>
</html>

