<?php
	require 'funcs/conexion.php';
	include 'funcs/funcs.php';

	$errors = array();
	
	if(!empty($_POST))
	{
		$nombre = $mysqli->real_escape_string($_POST['nombre']);
		$usuario = $mysqli->real_escape_string($_POST['usuario']);
		$password = $mysqli->real_escape_string($_POST['password']);
		$con_password = $mysqli->real_escape_string($_POST['con_password']);
		$email = $mysqli->real_escape_string($_POST['email']);
		$captcha = $mysqli->real_escape_string($_POST['g-recaptcha-response']);
		$activo = 0;
		$tipo_usuario = 2;
		$secret = '6LdddDsUAAAAALxk6eUyYLAO1tjtqp0clqR8sfcg';//clave de Google
		
		if(!$captcha){
			$errors[] = "Por favor verifica el captcha";
		}
		
		if(isNull($nombre, $usuario, $password, $con_password, $email))
		{
			$errors[] = "Debe llenar todos los campos";
		}
		
		if(!isEmail($email))
		{
			$errors[] = "Dirección de correo inválida";
		}
		
		if(!validaPassword($password, $con_password))
		{
			$errors[] = "Las contraseñas no coinciden";
		}		
		
		if(usuarioExiste($usuario))
		{
			$errors[] = "El nombre de usuario $usuario ya existe";
		}
		
		if(emailExiste($email))
		{
			$errors[] = "El correo electronico $email ya existe";
		}
		
		if(count($errors) == 0)
		{
			
			$response = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=$secret&response=$captcha");
			
			$arr = json_decode($response, TRUE);
			
			if($arr['success'])
			{
				
				$pass_hash = hashPassword($password);
				$token = generateToken();
				
				$registro = registraUsuario($usuario, $pass_hash, $nombre, $email, $activo, $token, $tipo_usuario);			
				if($registro > 0)
				{				
					$url = 'http://'.$_SERVER["SERVER_NAME"].':8888/TFG2/activar.php?id='.$registro.'&val='.$token;
					
					$asunto = 'Activar Cuenta - Sistema de Usuarios';
					$cuerpo = "Estimado $nombre: <br /><br />Para continuar con el proceso de registro, es indispensable de click en la siguiente liga <a href='$url'>Activar Cuenta</a>";
					
					if(enviarEmail($email, $nombre, $asunto, $cuerpo)){
						
						echo "Para terminar el proceso de registro siga las instrucciones que le hemos enviado la direccion de correo electronico: $email";
						echo "<br><a href='index.php' >Iniciar Sesion</a>";
						exit;
						} else {
						$erros[] = "Error al enviar Email";
					}
					
					} else {
					$errors[] = "Error al Registrar";
				}
				
				} else {
				$errors[] = 'Error al comprobar Captcha';
			}
		}
	}
?>
<html lang="es">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aula de Fotografía - Registrarse</title>
    <link rel="stylesheet" href="css/estilos.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="javascript/menu.js"></script>
	<script src='https://www.google.com/recaptcha/api.js'></script>

	</head>


    <body>

<!-- EMPIEZO AULA FOTOGRAFIA -->

<header>
    <div id="header_superior">
        <div class="menu_bar">
        <img class="boton-menu" src="pictures/logos/botton-menu.png" alt="boton-menu">
    </div>
        
<div id="centrar">
 <picture>
  <a href="index.php"><source srcset="pictures/logos/logo-petit.png" media="(max-width: 800px)"></a>
  
  <source srcset="pictures/logos/logo.png">
  <a href="index.php"><img src="pictures/logos/logo.png" alt="Aula de Fotografía"></a>
</picture> 
</div> <!--fin de id="centrar">-->
    <div id="usuari">
        <!--FORMULARIO-->
        <div id="linea-mortal">
        <p><a href="registro.php">Registrarse</a></p>
        <p><a href="recupera.php">Recuperar contraseña</a></p>
        </div> <!--fin de id="linea-mortal">-->

        <div id="registro">
        <form role="form" action="<?php $_SERVER['PHP_SELF'] ?>" method="POST" autocomplete="off">

        <div class="introducir">
            <input id="usuario" type="text" name="usuario" value="" placeholder="usuario o email" required>                                        
        </div>
        <div class="introducir">
            <input id="password" type="password" name="password" placeholder="password" required>
        </div>
        <div class="introducir">
            <button id="btn-login" type="submit">Iniciar Sesi&oacute;n</button>
        </div>
            
   
        </form>
        </div>  <!--fin de id="registro">-->

    </div>  <!--fin de id="usuari">-->

    <div id="usuari-mobil">
        <p><a href="logarse.php">Logarse</a></p>
        <p><a href="recupera.php">Recuperar contraseña</a></p>
    </div>

</div>  <!--fin de id="header_superior">-->


    <nav id="superior">
        <ul>
            <li id="uni-des">Unidad 1</li>
            <li>Unidad 2</li>
            <li>Unidad 3</li>
            <li>Unidad 4</li>
            <li>Unidad 5</li>
            <li>Unidad 6</li>
            <li>Unidad 7</li>
            <li>Unidad 8</li>
        </ul>
    </nav>

</header>
<div class="log-reg">
<div id="t-centrar">
    <nav id="t-mobil">
        <form> 
            <select name="index">
                <option name="index" value="0" selected>Regístrese para ver más unidades</option>
            </select>
        </form>
    </nav>
</div>
</div>
<nav id="lateral">
    <ul>
        <li id="deseleccionado">Contacto con el formador</li>
        <li><a href="faqs.php">Preguntas frecuentes FAQS</a></li>
        <li><a href="mapa.php">Mapa del sitio</a></li>
        <li><a href="ayuda.php">Ayuda</a></li>
    </ul>
</nav>

		<section id="section-log"> 
					
					<div id="form-registrarse">
						<form role="form" action="<?php $_SERVER['PHP_SELF'] ?>" method="POST" autocomplete="off">
						

						<div class="izquierda">	
							<div class="introduir">
								<label for="nombre">Nombre:</label>
							</div>
							<div class="introduir">
								<input type="text" name="nombre" placeholder="Nombre" value="<?php if(isset($nombre)) echo $nombre; ?>" required >
							</div>
						</div>
							
						<div class="derecha">
							<div class="introduir">
								<label for="usuario">Usuario</label>
							</div>
							<div class="introduir">
								<input type="text" name="usuario" placeholder="Usuario" value="<?php if(isset($usuario)) echo $usuario; ?>" required>
							</div>
						</div>
							
						<div class="izquierda">		
							<div class="introduir">
								<label for="password">Password</label>
							</div>
							<div class="introduir">
								<input type="password" name="password" placeholder="Password" required>
							</div>
						</div>
						<div class="derecha">
							<div class="introduir">
								<label for="con_password">Confirmar Password</label>
							</div>
							<div class="introduir">
								<input type="password" name="con_password" placeholder="Confirmar Password" required>
							</div>
						</div>
							
							
						<div class="izquierda">		
							<div class="introduir">
								<label for="email">Email</label>
							</div>
							<div class="introduir">
								<input type="email" name="email" placeholder="Email" value="<?php if(isset($email)) echo $email; ?>" required>
							</div>

							
						<?php echo resultBlock($errors); ?>
						

							<div class="introduir">
								<label for="captcha" class="col-md-3 control-label"></label>
							</div>
							<div class="introduir">	
								<div class="g-recaptcha col-md-9" data-sitekey="6LdddDsUAAAAANJNdjptrmoWeMDEW_Ia7VWypkxC"></div> <!-- Clave del sitio -->
							</div>
							
							<div class="introduir">                            
								<button id="btn-signup" type="submit" class="btn btn-info"><i class="icon-hand-right"></i>Registrar</button> 
							</div>
						</div>
						

						</form>

					</div>

		</section>

		<aside>
    <img id="paypal" src="pictures/logos/paypal.png" alt="Paypal">

</aside>
	</body>
</html>